Get the results of the pickface exception report

Body·
application/json
  • clientPartnerId
    Type: string | nullFormat: uuid

    The client to filter by

  • partnerProductId
    Type: string | nullFormat: uuid

    The product to filter by

  • warehouseId
    Type: string | nullFormat: uuid

    The warehouse to filter by

Responses
  • application/json
Request Example for post/v1/reports/pickface-exception
curl https://api.consignlyhq.com/v1/reports/pickface-exception \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "warehouseId": null,
  "clientPartnerId": null,
  "partnerProductId": null
}'
[
  {
    "warehouseName": null,
    "locationName": null,
    "clientPartnerName": null,
    "partnerProductDescription": null,
    "onHandQuantity": 1,
    "targetQuantity": null,
    "minQuantity": null,
    "isWrongProduct": true,
    "isProductHeld": true,
    "isMixedProductRotation": true
  }
]